package com.ruixuan.data.entity;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 直播漏斗数据对象 kuaishou_live_data_funnel
 *
 * @author ruoyi
 * @date 2022-05-31
 */
@Data
public class KuaishouLiveDataFunnel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 快手ID
     */
    @Excel(name = "快手ID")
    private Long ksId;

    /**
     * 快手昵称
     */
    @Excel(name = "快手昵称")
    private String ksName;

    /**
     * 账户ID
     */
    @Excel(name = "账户ID")
    private Long accountId;

    /**
     * 账户名称
     */
    @Excel(name = "账户名称")
    private String accountName;

    /**
     * 累计观看人数
     */
    @Excel(name = "累计观看人数")
    private Long allViewers;

    /**
     * 日期
     */
    @Excel(name = "日期")
    private String statDate;

    public void setKsId(Long ksId) {
        this.ksId = ksId;
    }

    public Long getKsId() {
        return ksId;
    }

    public void setKsName(String ksName) {
        this.ksName = ksName;
    }

    public String getKsName() {
        return ksName;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAllViewers(Long allViewers) {
        this.allViewers = allViewers;
    }

    public Long getAllViewers() {
        return allViewers;
    }

    public void setStatDate(String statDate) {
        this.statDate = statDate;
    }

    public String getStatDate() {
        return statDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("ksId", getKsId())
                .append("ksName", getKsName())
                .append("accountId", getAccountId())
                .append("accountName", getAccountName())
                .append("allViewers", getAllViewers())
                .append("statDate", getStatDate())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
